<html id="top">
    <head>
        <title>[ / c / t / r / l / - / c / ]</title>
        <link rel="icon" href="../images/favicon.png">
        <link rel="stylesheet" type="text/css" href="../css/prism.css">
        <link rel="stylesheet" type="text/css" href="../css/style.css">
        <meta charset="utf-8"/>
    </head>
    <body class="line-numbers">
        <script src="../js/prism.min.js"></script>
        <!-- 
        <script src="../js/three.min.js"></script>
        <script src="../js/vanta.net.min.js"></script>
        <script>
            VANTA.NET({
                el: "html",
                mouseControls: true,
                touchControls: true,
                minHeight: 200.00,
                minWidth: 200.00,
                scale: 1.00,
                scaleMobile: 1.00,
                color: 0x201c61,
                backgroundColor: 0x0,
                points: 3.00,
                maxDistance: 25.00
            })
        </script>
        -->
        <table width="100%" height="100%">
            <tbody>
                <tr>
                    <td style="vertical-align:top" align="center">
                        <!-- 
                        ---------------------------------------------------------------------------
                        HEADER
                        ---------------------------------------------------------------------------
                        -->
                        <h1>Penlab</h1>
                        <br>
                        <!--
                        ▰ <a href="./home.html">Home</a>
                        -->
                        ▰ <a href="./about.html">About</a>
                        ▰ <a href="./links.html">Links</a>
                        ▰ <a href="./gallery.html">Gallery</a>
                        ▰ <a href="./her.html">Her</a>
                    </td>
                </tr>
                <tr>
                    <td align="center">
                        <table width="85%" height="100%">
                            <tbody>
                                <tr>
                                    <td style="vertical-align:middle" align="left">
                                        <!-- 
                                        ---------------------------------------------------------------------------
                                        PENLAB
                                        ---------------------------------------------------------------------------
                                        -->
                                        <br>
                                        <h2 id="Point_1">Objective:</h2>
                                        <p>To build a personal Penetration Testing Lab in a secured and controlled environment.</p>
                                        <h3 id="Point_1_1">▨ Software</h3>
                                        <table border="1" style="width: 100%; text-align: left;">
                                            <tbody>
                                                <tr>
                                                    <th>Name</th>
                                                    <th>Type</th> 
                                                    <th>Version</th>
                                                    <th>URL</th>
                                                </tr>
                                                <tr>
                                                    <td>VirtualBox</td>
                                                    <td>Hypervisor</td>
                                                    <td>6.1.6 r137129</td>
                                                    <td><a href="https://www.virtualbox.org/wiki/Downloads">https://www.virtualbox.org/wiki/Downloads</a></td>
                                                </tr>
                                                <tr>
                                                    <td>pfSense Community Edition</td>
                                                    <td>Software Firewall</td>
                                                    <td>2.4.5</td>
                                                    <td><a href="https://www.pfsense.org/download/">https://www.pfsense.org/download/</a></td>
                                                </tr>
                                                <tr>
                                                    <td>Kali Linux</td>
                                                    <td>Attacker</td>
                                                    <td>2020.2</td>
                                                    <td><a href="https://www.kali.org/downloads/">https://www.kali.org/downloads/</a></td>
                                                </tr>
                                                <tr>
                                                    <td>Metasploitable 2</td>
                                                    <td>Target (Linux)</td>
                                                    <td>2</td>
                                                    <td><a href="https://sourceforge.net/projects/metasploitable">https://sourceforge.net/projects/metasploitable</a></td>
                                                </tr>
                                                <tr>
                                                    <td>Metasploitable 3</td>
                                                    <td>Target (Windows)</td>
                                                    <td>git</td>
                                                    <td><a href="https://github.com/rapid7/metasploitable3">https://github.com/rapid7/metasploitable3</a></td>
                                                </tr>
                                                <tr>
                                                    <td>Android</td>
                                                    <td>Target (Mobile)</td>
                                                    <td>9.0-r2</td>
                                                    <td><a href="https://www.android-x86.org">https://www.android-x86.org</a></td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        <h3 id="Point_1_2">▨ Architecture</h3>
                                        <div>
                                            <a href="#img1"><img class="thumbnail" src="../images/penlab/Network.jpg"/></a>
                                            <a href="#_" class="lightbox" id="img1"><img src="../images/penlab/Network.jpg"></a>
                                        </div>
                                        <br>
                                        <h2 id="Point_2">Hypervisor:</h2>
                                        <h3 id="Point_2_1">▨ Installation</h3>
                                        <p>VirtualBox will be used as the hypervisor.</p>
                                        <ul>
                                            <li><p><u>Linux</u>: the best way to install and keep the hypervisor updated is by using the distribution package manager utility. Virtualbox can be downloaded and installed by using the following command (section 1 is for ArchLinux and section 2 is for Ubuntu 18.04): <pre><code class="language-bash">sudo pacman -S virtualbox virtualbox-host-modules-arch</code></pre><pre><code class="language-bash">echo "deb [arch=amd64] http://download.virtualbox.org/virtualbox/debian $(lsb_release -sc) contrib" | sudo tee /etc/apt/sources.list.d/virtualbox.list
sudo su -c 'wget -q -O- https://www.virtualbox.org/download/oracle_vbox.asc | sudo apt-key add -'
sudo su -c 'wget -q -O- http://download.virtualbox.org/virtualbox/debian/oracle_vbox_2016.asc | apt-key add -'
sudo apt-get update
sudo apt-get -y install linux-headers-$(uname -r) build-essential gcc make perl dkms bridge-utils
sudo apt-get -y install virtualbox-6.1
sudo dpkg --configure -a && sudo apt-get -f -y install
export VBOX_VER=`VBoxManage --version | awk -Fr '{print $1}'`
wget -c http://download.virtualbox.org/virtualbox/$VBOX_VER/Oracle_VM_VirtualBox_Extension_Pack-$VBOX_VER.vbox-extpack
sudo VBoxManage extpack install Oracle_VM_VirtualBox_Extension_Pack-$VBOX_VER.vbox-extpack
sudo usermod -a -G vboxusers $USER
sudo update-grub
sudo /sbin/vboxconfig</code></pre><p></li>
                                            <li><p><u>Macintosh</u>: using homebrew can greatly simplify the process providing download and updates when available. After installing homebrew type the command: <pre><code class="language-bash">brew cask install virtualbox</code></pre></p></li>
                                            <li><p><u>Windows</u>: you'll need to get the executable files from the URL above, once they are finished downloading run the installer to start the installation process.</p></li>
                                        </ul>
                                        <p></p>
                                        <h3 id="Point_2_2">▨ Configuration</h3>
                                        <p>Create two NIC (Network Interface Card) adapters, they will be used as two separate networks. Go to Tools ▸ Network ▸ Create. Class C will be provide enough IPs for this lab.</p>
                                        <br>
                                        <table border="1" style="width: 100%; text-align: left;">
                                            <tbody>
                                                <tr>
                                                    <th>Adapter</th>
                                                    <th>IP V4 Address/Mask</th> 
                                                    <th>Configure Adapter Manually</th>
                                                    <th>DHCP</th>
                                                </tr>
                                                <tr>
                                                    <td>vboxnet0</td>
                                                    <td>192.168.10.1</td>
                                                    <td>Yes</td>
                                                    <td>No</td>
                                                </tr>
                                                <tr>
                                                    <td>vboxnet1</td>
                                                    <td>192.168.20.1</td>
                                                    <td>Yes</td>
                                                    <td>No</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        <br>
                                        <div>
                                            <a href="#img2"><img class="thumbnail" src="../images/penlab/NIC adapters.jpg"/></a>
                                            <a href="#_" class="lightbox" id="img2"><img src="../images/penlab/NIC adapters.jpg"></a>
                                        </div>
                                        <br>
                                        <h2 id="Point_3">Firewall 0:</h2>
                                        <table border="1" style="width: 100%; text-align: left;">
                                            <tbody>
                                                <tr>
                                                    <th>CPU</th>
                                                    <th>Memory</th>
                                                    <th>Disk Size</th>
                                                    <th>Network Adapter</th> 
                                                    <th>Rules</th>
                                                </tr>
                                                <tr>
                                                    <td>1</td>
                                                    <td>1024 Mb</td>
                                                    <td>5 GB</td>
                                                    <td>Adapter 1: NAT<br>Adapter 2: Host-only (vboxnet0)</td>
                                                    <td>Block LAN IPv4 Any Network 192.168.1.0/24</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        <h3 id="Point_3_1">▨ Installation</h3>
                                        <p>Create a new VM (Virtual Machine) using Machine ▸ New, and enter the necessary details to create a new pfSense VM box.</p>
                                        <p>Set the pfSense ISO file as a Live CD/DVD in the VM Optical Drive and start the VM.</p>
                                        <p>The installation is a straight-forward process, accept the copyright notice ▸ select Install pfSense ▸ Continue with default keymap ▸ Auto (UFS) and wait until the installation finishes. Once at the "Manual Configuration" screen select No and then Reboot.</p>
                                        <br>
                                        <p class="note"><b>Important:</b><br>Shutdown the VM and take a snapshot of the installation VM ▸ Snapshots ▸ Take ▸ "Installation".</p>
                                        <h3 id="Point_3_2">▨ Configuration</h3>
                                        <p>Start the VM, pfSense should create the WAN network automatically.</p>
                                        <p>When booting is finished, change the LAN network to use the hypervisor NIC adapter IP with option "2) Set Interface(s) IP address", and then select the LAN interface.</p>
                                        <p>Enter 192.168.10.2 in the LAN IPv4 Address, and 24 in the LAN IPv4 subnet bit count.</p>
                                        <p>Leave the next questions as per default values. When asked if "Do you want to enable the DHCP server on LAN?" select y and use 192.168.10.4 as the start address and 192.168.10.254 as the end address in the DHCP range.</p>
                                        <br>
                                        <div>
                                            <a href="#img3"><img class="thumbnail" src="../images/penlab/Firewall Interface configuration.jpg"/></a>
                                            <a href="#_" class="lightbox" id="img3"><img src="../images/penlab/Firewall Interface configuration.jpg"></a>
                                        </div>
                                        <br>
                                        <p>When asked "Do you want to revert to HTTP as the WebConfigurator protocol? select n</p>
                                        <br>
                                        <p class="note"><b>Important:</b><br>Shutdown the VM and take a snapshot of the configuration VM ▸ Snapshots ▸ Take ▸ "Configuration".</p>
                                        <br>
                                        <p>It's time to add a rule on to the LAN network to protect the physical machine's network by adding a rule on the firewall to prevent any connection attempts from within the lab.</p>
                                        <p>Start the VM and open a browser pointing at the firewall IP (https://192.168.10.2/) and login.</p>
                                        <br>
                                        <p class="note"><b>Note:</b><br>The default credentials are "admin" as login and "pfsense" is the default password.</p>
                                        <br>
                                        <p>Go to Firewall ▸ Rules ▸ LAN ▸ Add and set the new rule as Action: Block, Protocol: Any, Destination: Network 192.168.1.0/24, Description: My Lab, my rules (Block access to 192.168.1.0/24 Physical Network). When done save the new rule.</p>
                                        <br>
                                        <div>
                                            <a href="#img4"><img class="thumbnail" src="../images/penlab/Firewall 0 Rule.jpg"/></a>
                                            <a href="#_" class="lightbox" id="img4"><img src="../images/penlab/Firewall 0 Rule.jpg"></a>
                                        </div>
                                        <br>
                                        <p class="note"><b>Important:</b><br>Shutdown the VM and take a snapshot of the configuration VM ▸ Snapshots ▸ Take ▸ "Rule (Block Network 192.168.1.0/24)".</p>
                                        <br>
                                        <div>
                                            <a href="#img5"><img class="thumbnail" src="../images/penlab/Firewall 0 Snapshots.jpg"/></a>
                                            <a href="#_" class="lightbox" id="img5"><img src="../images/penlab/Firewall 0 Snapshots.jpg"></a>
                                        </div>
                                        <br>
                                        <p>The first firewall, Firewall 0 is now installed and configured. The VM configuration details should be similar to the below:</p>
                                        <br>
                                        <div>
                                            <a href="#img6"><img class="thumbnail" src="../images/penlab/Firewall 0 final configuration.jpg"/></a>
                                            <a href="#_" class="lightbox" id="img6"><img src="../images/penlab/Firewall 0 final configuration.jpg"></a>
                                        </div>
                                        <br>
                                        <h2 id="Point_4">Firewall 1:</h2>
                                        <table border="1" style="width: 100%; text-align: left;">
                                            <tbody>
                                                <tr>
                                                    <th>CPU</th>
                                                    <th>Memory</th>
                                                    <th>Disk Size</th>
                                                    <th>Network Adapter</th> 
                                                    <th>Rules</th>
                                                </tr>
                                                <tr>
                                                    <td>1</td>
                                                    <td>1024 Mb</td>
                                                    <td>5 GB</td>
                                                    <td>Adapter 1: Host-only (vboxnet0)<br>Adapter 2: Host-only (vboxnet1)</td>
                                                    <td>Block Any Network 192.168.10.0/24<br>Block Any This firewall (self)</td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        <h3 id="Point_4_1">▨ Installation</h3>
                                        <p>Create a new VM (Virtual Machine) using Machine ▸ New, and enter the necessary details to create a new pfSense VM box the same way as done in <a href="#Point_3_1">Firewall 0 installation</a>.</p>
                                        <h3 id="Point_4_2">▨ Configuration</h3>
                                        <p>Start the Firewall 1 VM, pfSense should create the WAN & LAN network interfaces automatically.</p>
                                        <p>Changes will have to be made to both WAN & LAN network interfaces in order to setup the correct IPs. Select option "2) Set Interface(s) IP address", then select "1) WAN" and when asked "Configure IPv4 address WAN interface via DHCP?" select "n", set 192.168.10.3 as the WAN IPv4 Address, 24 as the LAN IPv4 subnet bit count and 192.168.10.2 as the upstream default gateway (the Firewall 0 IP address), select "n" for IPv6 DHCP and leave everything else as per default values.</p>
                                        <p>Repeat the same process but this time select the LAN interface option 2 to make changes to. Set 192.168.20.2 as the LAN IPv4 Address, and 24 as the LAN IPv4 subnet bit count and set the default values on the next questions. When asked if "Do you want to enable the DHCP server on LAN?" select "y" and set 192.168.20.4 as the start address and 192.168.20.254 as the end address.</p>
                                        <p>When asked "Do you want to revert to HTTP as the WebConfigurator protocol? select "n". The configuration is done, continue until reaching the main menu.</p>
                                        <br>
                                        <p class="note"><b>Important:</b><br>Shutdown the VM and take a snapshot of the configuration VM ▸ Snapshots ▸ Take ▸ "Configuration".</p>
                                        <br>
                                        <p>It's time to add a few rules on to this LAN network to protect the vboxnet0 LAN network.</p>
                                        <p>Start the VM and open a browser pointing at the firewall IP (https://192.168.20.2/) and login.</p>
                                        <br>
                                        <p class="note"><b>Note:</b><br>The default credentials are "admin" as login and "pfsense" is the default password.</p>
                                        <br>
                                        <p>Go to Firewall ▸ Rules ▸ LAN ▸ Add and set the first new rule as Action: Block, Protocol: Any, Destination: Network 192.168.10.0/24, Description: My Lab, my rules (Block access to 192.168.10.0/24 Network). When done save the new rule.</p>
                                        <br>
                                        <div>
                                            <a href="#img7"><img class="thumbnail" src="../images/penlab/Firewall 1 Rule1.jpg"/></a>
                                            <a href="#_" class="lightbox" id="img7"><img src="../images/penlab/Firewall 1 Rule1.jpg"></a>
                                        </div>
                                        <br>
                                        <p>Time to add a second rule, go to Firewall ▸ Rules ▸ LAN ▸ Add and set the new rule as Action: Block, Protocol: Any, Destination: This firewall (self), Description: My Lab, my rules (Block 192.168.20.2 Firewall/Internet Gateway). This rule not only prevents access to the Firewall 1 but also prevents traffic through the Gateway and thus preventing access to the internet. When done save the new rule.</p>
                                        <br>
                                        <div>
                                            <a href="#img8"><img class="thumbnail" src="../images/penlab/Firewall 1 Rule2.jpg"/></a>
                                            <a href="#_" class="lightbox" id="img8"><img src="../images/penlab/Firewall 1 Rule2.jpg"></a>
                                        </div>
                                        <br>
                                        <p class="note"><b>Important:</b><br>Shutdown the VM and take a snapshot of the configuration VM ▸ Snapshots ▸ Take ▸ "Rules (Block Network 192.168.10.0/24, Block 192.168.20.2 Firewall/Internet Gateway)".</p>
                                        <br>
                                        <p>The second firewall, Firewall 1 is now installed and configured. The VM configuration details should be similar to the below:</p>
                                        <br>
                                        <div>
                                            <a href="#img9"><img class="thumbnail" src="../images/penlab/Firewall 1 final configuration.jpg"/></a>
                                            <a href="#_" class="lightbox" id="img9"><img src="../images/penlab/Firewall 1 final configuration.jpg"></a>
                                        </div>
                                        <br>
                                        <h2 id="Point_5">Attacker:</h2>
                                        <table border="1" style="width: 100%; text-align: left;">
                                            <tbody>
                                                <tr>
                                                    <th>CPU</th>
                                                    <th>Memory</th>
                                                    <th>Disk Size</th>
                                                    <th>Network Adapter</th> 
                                                    <th>Rules</th>
                                                </tr>
                                                <tr>
                                                    <td>2</td>
                                                    <td>2048 Mb</td>
                                                    <td>Pre-configured</td>
                                                    <td>Adapter 1: Host-only (vboxnet0)</td>
                                                    <td></td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        <h3 id="Point_5_1">▨ Installation</h3>
                                        <p>Import an existing pre installed Kali environment into VirtualBox by using File ▸ Import Appliance ▸ Select OVA file from Local File System source ▸ Next ▸ Change MAC address Policy to "Generate new MAC addresses for all network adapters ▸ Import ▸ Agree with Software License Agreement.</p>
                                        <br>
                                        <div>
                                            <a href="#img10"><img class="thumbnail" src="../images/penlab/Importing Kali Appliance.jpg"/></a>
                                            <a href="#_" class="lightbox" id="img10"><img src="../images/penlab/Importing Kali Appliance.jpg"></a>
                                        </div>
                                        <br>
                                        <p>When finished importing the appliance, change the Network Adapter 1 from NAT to a Host-only Adapter using vboxnet0 network.</p>
                                        <br>
                                        <p class="note"><b>Important:</b><br>In Network Adapter 1 ▸ expand "Advanced" ▸ make sure to set Promiscuous Mode to "Allow All".</p>
                                        <br>
                                        <p class="note"><b>Important:</b><br>Take a snapshot of the installation VM ▸ Snapshots ▸ Take ▸ "Installation".</p>
                                        <h3 id="Point_5_2">▨ Configuration</h3>
                                        <p>Start the Firewall 0 VM. Wait until it's fully booted and then start the Attacker (Kali) VM.</p>
                                        <br>
                                        <p class="note"><b>Note:</b><br>The default credentials are "kali" as login and "kali" is the default password.</p>
                                        <br>
                                        <p>Type the following command in a terminal window to add a new user, set the user password and fill in any required extra information: <pre><code class="language-bash">sudo adduser attacker</code></pre></p>
                                        <p>Add the newly created "attacker" user to the sudo group by using the command: <pre><code class="language-bash">sudo usermod -aG sudo attacker</code></pre></p>
                                        <p>Lock the default kali account to prevent its use: <pre><code class="language-bash">sudo passwd -l kali && sudo reboot</code></pre></p>
                                        <p>Install the latest available updates on the system by issuing the following command in a terminal window: <pre><code class="language-bash">sudo apt-get update && sudo apt-get --with-new-pkgs upgrade && sudo apt autoremove</code></pre></p>
                                        <p>Change the VM IP to a Static IPv4 (Method: Manual) IP 192.168.10.4, Netmask: 24, Gateway 192.168.10.2, DNS Server 192.168.10.2 and Search domains: 8.8.8.8:</p>
                                        <br>
                                        <div>
                                            <a href="#img11"><img class="thumbnail" src="../images/penlab/Attacker Static IP.jpg"/></a>
                                            <a href="#_" class="lightbox" id="img11"><img src="../images/penlab/Attacker Static IP.jpg"></a>
                                        </div>
                                        <br>
                                        <p>Finally, make any other configuration changes to language, keyboard, clock or any other settings.</p>
                                        <br>
                                        <p class="note"><b>Important:</b><br>Shutdown the VM and take a snapshot of the configuration VM ▸ Snapshots ▸ Take ▸ "Configuration".</p>
                                        <br>
                                        <p>The Attacker is now installed and configured. The VM configuration details should be similar to the below:</p>
                                        <br>
                                        <div>
                                            <a href="#img12"><img class="thumbnail" src="../images/penlab/Attacker final configuration.jpg"/></a>
                                            <a href="#_" class="lightbox" id="img12"><img src="../images/penlab/Attacker final configuration.jpg"></a>
                                        </div>
                                        <br>
                                        <h2 id="Point_6">IDS (Sentinel):</h2>
                                        <table border="1" style="width: 100%; text-align: left;">
                                            <tbody>
                                                <tr>
                                                    <th>CPU</th>
                                                    <th>Memory</th>
                                                    <th>Disk Size</th>
                                                    <th>Network Adapter</th> 
                                                    <th>Rules</th>
                                                </tr>
                                                <tr>
                                                    <td>2</td>
                                                    <td>4092 Mb</td>
                                                    <td>30 GB</td>
                                                    <td>Adapter 1: Host-only (vboxnet1)</td>
                                                    <td></td>
                                                </tr>
                                            </tbody>
                                        </table>
                                        <h3 id="Point_6_1">▨ Installation</h3>
                                        <p>Create a new VM (Virtual Machine) using Machine ▸ New, and enter the necessary details to create a new Security Onion VM box.</p>
                                        <p>Set the Security Onion ISO file as a Live CD/DVD in the VM Optical Drive and set the Network Adapter 1 to a Host-only Adapter using vboxnet1 network.</p>
                                        <br>
                                        <p class="note"><b>Important:</b><br>In Network Adapter 1 ▸ expand "Advanced" ▸ make sure to set Promiscuous Mode to "Allow All".</p>
                                        <br>
                                        <p>Start the Firewall 0 VM, then the Firewall 1 VM.</p>
                                        <br>
                                        <p class="note"><b>Important:</b><br>Access to the network might not be available due to rule My Lab, my rules (Block access to 192.168.20.2 Firewall/Internet Gateway) in Firewall 1, disable the rule for the system to be able to automatically update necessary rules and general updates on the VM. Re-enable the rule after.</p>
                                        <br> 
                                        <p>Start the Sentinel (Security Onion) VM, once it's booted run "Install SecurityOnion 16.04" available from the desktop icon ▸ select language ▸ tick "Download updates while installing Security Onion" ▸ Install Now ▸ select location ▸ select keyboard ▸ add user and wait until the installation finishes ▸ Restart.</p>
                                        <br>
                                        <p class="note"><b>Important:</b><br>Take a snapshot of the installation VM ▸ Snapshots ▸ Take ▸ "Installation".</p>
                                        <h3 id="Point_6_2">▨ Configuration</h3>
                                        <p>Start the VM and login with the user credentials created during installation.</p>
                                        <p>Change the VM IP Wired network to a Static IPv4 (Addresses: Manual) Address 192.168.20.3, Netmask: 24, Gateway 192.168.20.2, DNS Server 192.168.20.2, turn off IPv6:</p>
                                        <br>
                                        <div>
                                            <a href="#img13"><img class="thumbnail" src="../images/penlab/Sentinel Static IP.jpg"/></a>
                                            <a href="#_" class="lightbox" id="img13"><img src="../images/penlab/Sentinel Static IP.jpg"></a>
                                        </div>
                                        <br>
                                        <p>Make any other configuration changes to language, keyboard, clock or any other settings.</p>
                                        <p>To continue, run "Setup" from desktop, enter user password and a wizard will popup ▸ Yes, continue ▸ Yes, configure /etc/network/interfaces! ▸ Select "static" ▸ IP: 192.168.20.3 ▸ Netmask: 255.255.255.0 ▸ Gateway: 192.168.20.2 ▸ DNS: 192.168.20.2 ▸ Domain name: secon.com ▸ Yes, make changes! ▸ Yes, reboot!</p>
                                        <p>To continue, run "Setup" from desktop once more, enter user password and a wizard will popup ▸ Yes, skip network configuration! ▸ Yes, continue ▸ Evaluation Mode ▸ Create a user account ▸ Password ▸ Yes, proceed with the changes! ▸ Wait for a while and done, click OK on all popups.</p>
                                        <br>
                                        <p class="note"><b>Important:</b><br>Shutdown the VM and take a snapshot of the configuration VM ▸ Snapshots ▸ Take ▸ "Configuration".</p>
                                        <br>
                                        <p>The Sentinel is now installed and configured. The VM configuration details should be similar to the below:</p>
                                        <br>
                                        <div>
                                            <a href="#img14"><img class="thumbnail" src="../images/penlab/Sentinel final configuration.jpg"/></a>
                                            <a href="#_" class="lightbox" id="img14"><img src="../images/penlab/Sentinel final configuration.jpg"></a>
                                        </div>
                                        <br>
                                        <h2 id="Point_7">Target</h2>
                                        <br>
                                        <p class="note"><b>Important:</b><br>The following are instructions to install and setup a generic Ubuntu VM with the purpose of allowing to setup a vulnerable system as you wish, a quicker solution might instead to save time be to use a prebuilt VM such as Metasploitable VMs.</p>
                                        <br>
                                        <h3 id="Point_7_1">▨ Installation</h3>
                                        <p>To setup the Target machine, download Ubuntu Server edition and create a new VM in VirtualBox using Machine ▸ New, and enter the necessary details to create the new VM box.</p>
                                        <p>Set Network Adapter 1 as Host-only Adapter using vboxnet1 network and set the Ubuntu Server ISO file as a Live CD/DVD in the VM Optical Drive. Start the VM.</p>
                                        <p>When installing Ubuntu Server, choose your Language ▸ Keyboard ▸ Network connections set a static IP address assigning subnet to 192.168.20.0/24, address to 192.168.20.3, gateway to 192.168.20.2, nameserver to 192.168.20.2 and search domains to 8.8.8.8 ▸ Save ▸ Done.</p>
                                        <br>
                                        <div>
                                            <a href="#img15"><img class="thumbnail" src="../images/penlab/Ubuntu Server static IP.jpg"/></a>
                                            <a href="#_" class="lightbox" id="img15"><img src="../images/penlab/Ubuntu Server static IP.jpg"></a>
                                        </div>
                                        <br>
                                        <p>Leave everything else as per default values ▸ Add username and password details ▸ Continue using default values ▸ Installation ▸ Reboot.</p>
                                        <br>
                                        <p class="note"><b>Important:</b><br>Take a snapshot of the configuration VM ▸ Snapshots ▸ Take ▸ "Installation Base OS".</p>
                                        <br>
                                        <p class="note"><b>Important:</b><br>Access to the network might not be available due to rule My Lab, my rules (Block access to 192.168.20.2 Firewall/Internet Gateway) in Firewall 1, disable the rule to be able to perform updates and install software on the VM. Re-enable the rule after.</p>
                                        <br>
                                        <p>Install the latest available updates on the system by issuing the following command: <pre><code class="language-bash">sudo apt-get update && sudo apt-get --with-new-pkgs upgrade && sudo apt autoremove</code></pre></p>
                                        <br>
                                        <h3 id="Point_7_2">▨ Configuration</h3>
                                        <p>Add vulnerable applications. A better alternative is to use <a href="https://github.com/rapid7/metasploitable3">Metasploitable 3</a> distribution.</p>
                                    </td>
                                    <td style="vertical-align:top" align="right">
                                        <!-- 
                                        ---------------------------------------------------------------------------
                                        TOC
                                        ---------------------------------------------------------------------------
                                        -->
                                        <div id="toc_container">
                                            <p class="toc_title">Contents:</p>
                                            <ol class="toc_list">
                                                <li><a href="#Point_1">Objectives</a>
                                                    <ol>
                                                        <li><a href="#Point_1_1">Software used</a></li>
                                                        <li><a href="#Point_1_2">Architecture</a></li>
                                                    </ol>
                                                </li>
                                                <li><a href="#Point_2">Hypervisor</a>
                                                    <ol>
                                                        <li><a href="#Point_2_1">Installation</a></li>
                                                        <li><a href="#Point_2_2">Configuration</a></li>
                                                    </ol>
                                                </li>
                                                <li><a href="#Point_3">Firewall 0</a>
                                                    <ol>
                                                        <li><a href="#Point_3_1">Installation</a></li>
                                                        <li><a href="#Point_3_2">Configuration</a></li>
                                                    </ol>
                                                </li>
                                                <li><a href="#Point_4">Firewall 1</a>
                                                    <ol>
                                                        <li><a href="#Point_4_1">Installation</a></li>
                                                        <li><a href="#Point_4_2">Configuration</a></li>
                                                    </ol>
                                                </li>
                                                <li><a href="#Point_5">Attacker</a>
                                                    <ol>
                                                        <li><a href="#Point_5_1">Installation</a></li>
                                                        <li><a href="#Point_5_2">Configuration</a></li>
                                                    </ol>
                                                </li>
                                                <li><a href="#Point_6">IDS</a>
                                                    <ol>
                                                        <li><a href="#Point_6_1">Installation</a></li>
                                                        <li><a href="#Point_6_2">Configuration</a></li>
                                                    </ol>
                                                </li>
                                                <li><a href="#Point_7">Target</a>
                                                    <ol>
                                                        <li><a href="#Point_7_1">Installation</a></li>
                                                        <li><a href="#Point_7_2">Configuration</a></li>
                                                    </ol>
                                                </li>
                                            </ol>
                                        </div>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
                <tr>
                    <td style="vertical-align:bottom" align="center">
                        <!-- 
                        ---------------------------------------------------------------------------
                        FOOTER
                        ---------------------------------------------------------------------------
                        -->
                        <br>
                        <h3>This page was last updated on the 27th June 2020</h3>
                        <a href="#top">▵ Jump to top ▵</a>
                    </td>
                </tr>
            </tbody>
        </table>
    </body>
</html>
